<?php
$podcast_guru_options = podcast_guru_theme_options();

$banner_title = $podcast_guru_options['banner_title'];
$banner_desc = $podcast_guru_options['banner_desc'];
$banner_bg_image = $podcast_guru_options['banner_bg_image'];
$spotify_button_url = $podcast_guru_options['spotify_button_url'];
$itunes_button_url = $podcast_guru_options['itunes_button_url'];

$single_button = $podcast_guru_options['single_button'];
$single_button_url = $podcast_guru_options['single_button_url'];
if(!empty($banner_bg_image)){
    $background_style = "style='background-image:url(".esc_url($banner_bg_image).")'";
}
else{
    $background_style = '';
}

?>


<div class="hero-section">
     <div class="image" data-type="background" data-speed="2"  <?php echo wp_kses_post($background_style); ?>></div>
    <div class="stuff" data-type="content">
        <h1><?php echo esc_html($banner_title); ?></h1>
		<span><?php echo esc_html($banner_desc); ?></span>
		<div class="btn-wrap">
        <?php  if( $single_button && $single_button_url):?>
        <a href="<?php echo esc_url($single_button_url); ?>" class="btn btn-default"><?php echo esc_html($single_button); ?></a>
        <?php endif; ?>
		</div>
    </div>

</div>
</div>



<div class="below-banner header-social">

<span><?php esc_html__('Listen to us on','podcast-guru'); ?></span>
<?php 

if($spotify_button_url) 
echo '<div class="social-icon"><a href="'.esc_url($spotify_button_url).'"><i class="fa fa-spotify"></i><span>'.esc_html__('Spotify', 'podcast-guru').'</span></a></div>';

if($itunes_button_url) 
echo '<div class="social-icon"><a href="'.esc_url($itunes_button_url).'"><i class="fa fa-apple"></i><span>'.esc_html__("iTunes", "podcast-guru").'</span></a></div>';
?>

</div>

